Bug 1248382 - migration/rdma: 7.1->7.2: RDMA ERROR: ram blocks mismatch #3!
Summary: migration/rdma: 7.1->7.2: RDMA ERROR: ram blocks mismatch #3!
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.2
Hardware: Unspecified
OS: Unspecified
urgent
unspecified
Target Milestone: rc
: ---
Assignee: Dr. David Alan Gilbert
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 1210715
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-30 08:04 UTC by Jan Kurik
Modified: 2015-09-07 15:49 UTC (History)
10 users (show)

Fixed In Version: qemu-kvm-rhev-2.1.2-23.el7_1.8
Doc Type: Bug Fix
Doc Text:
Cause: During RDMA migration, QEMU incorrectly assumed an ordering in the list of RAM blocks was the same on the destination as the source. Consequence: Failed RDMA migrations, either after hotplugging or to newer versions of QEMU. There is a small potential for a crash or a corruption, however it normally fails cleanly with an error. Fix: QEMU now sorts the list of RAM blocks to transfer so that they always match on the source and destination. Result:
Clone Of: 1210715
Environment:
Last Closed: 2015-09-07 15:49:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1739 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security update 2015-09-07 19:49:34 UTC

Description Jan Kurik 2015-07-30 08:04:54 UTC
This bug has been copied from bug #1210715 and has been proposed
to be backported to 7.1 z-stream (EUS).

Comment 6 Miroslav Rezanina 2015-08-06 14:43:15 UTC
Fix included in qemu-kvm-rhev-2.1.2-23.el7_1.8

Comment 8 Shaolong Hu 2015-08-07 07:58:04 UTC
Verified on qemu-kvm-rhev-2.1.2-23.el7_1.8.x86_64:

# /usr/libexec/qemu-kvm -enable-kvm -M pc-i440fx-rhel7.1.0 -smp 4 -m 4G -name rhel6.3-64 -uuid 3f2ea5cd-3d29-48ff-aab2-23df1b6ae213 -drive file=/root/nfs/RHEL-Server-7.2-64-virtio.qcow2,cache=none,if=none,rerror=stop,werror=stop,id=drive-virtio-disk0,format=qcow2,aio=native -device virtio-blk-pci,drive=drive-virtio-disk0,id=device-virtio-disk0,bootindex=1 -netdev tap,script=/etc/qemu-ifup,id=netdev0 -device virtio-net-pci,netdev=netdev0,id=device-net0,mac=aa:54:00:11:22:33 -boot order=cd -monitor stdio -usb  -device usb-tablet,id=input0 -chardev socket,id=s1,path=/tmp/s1,server,nowait -device isa-serial,chardev=s1 -monitor tcp::1234,server,nowait -vga qxl -global qxl-vga.revision=3 -spice port=5920,disable-ticketing -global PIIX4_PM.disable_s3=0 -global PIIX4_PM.disable_s4=0 -vnc :10 -qmp tcp:0:5555,server,nowait -chardev socket,id=mon,path=/opt/mon.monitor,server,nowait -mon chardev=mon,mode=readline
QEMU 2.1.2 monitor - type 'help' for more information
(qemu) 
(qemu) 
(qemu) 
(qemu) 
(qemu) 
(qemu) netdev_add tap,script=/etc/qemu-ifup,id=netdev1
(qemu) 
(qemu) 
(qemu) device_add e1000,netdev=netdev1,id=device-net1,mac=aa:54:00:11:22:34
(qemu) 
(qemu) 
(qemu) 
(qemu) migrate -d rdma:192.168.0.21:6666
source_resolve_host RDMA Device opened: kernel name mlx4_0 uverbs device name uverbs0, infiniband_verbs class device path /sys/class/infiniband_verbs/uverbs0, infiniband class device path /sys/class/infiniband/mlx4_0, transport: (1) Infiniband
(qemu) 
(qemu) 
(qemu) 
(qemu) info migrate
capabilities: xbzrle: off rdma-pin-all: off auto-converge: off zero-blocks: off 
Migration status: completed
total time: 1169 milliseconds
downtime: 164 milliseconds
setup: 4 milliseconds
transferred ram: 1060980 kbytes
throughput: 7428.26 mbps
remaining ram: 0 kbytes
total ram: 4326476 kbytes
duplicate: 824872 pages
skipped: 0 pages
normal: 264979 pages
normal bytes: 1059916 kbytes
dirty sync count: 0
(qemu)

Comment 10 errata-xmlrpc 2015-09-07 15:49:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1739.html


Note You need to log in before you can comment on or make changes to this bug.